Bug 50423 - Apache is terminated with signal 11, Segmentation fault
Summary: Apache is terminated with signal 11, Segmentation fault
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_deflate (show other bugs)
Version: 2.2.3
Hardware: Other Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-12-06 19:57 UTC by Yoyo Chen
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yoyo Chen 2010-12-06 19:57:29 UTC
warning: Can't read pathname for load map: Input/output error.
(no debugging symbols found)
Loaded symbols for /usr/sbin/httpd
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /usr/local/lib/libpcre.so.0...done.
Loaded symbols for /usr/local/lib/libpcre.so.0
Reading symbols from /lib/libselinux.so.1...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /usr/lib/libaprutil-1.so.0...done.
Loaded symbols for /usr/lib/libaprutil-1.so.0
Reading symbols from /lib/libcrypt.so.1...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /usr/lib/libldap-2.3.so.0...done.
Loaded symbols for /usr/lib/libldap-2.3.so.0
Reading symbols from /usr/lib/liblber-2.3.so.0...done.
Loaded symbols for /usr/lib/liblber-2.3.so.0
Reading symbols from /lib/libdb-4.3.so...done.
Loaded symbols for /lib/libdb-4.3.so
Reading symbols from /lib/libexpat.so.0...done.
Loaded symbols for /lib/libexpat.so.0
Reading symbols from /usr/lib/libapr-1.so.0...done.
Loaded symbols for /usr/lib/libapr-1.so.0
Reading symbols from /lib/libpthread.so.0...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libsepol.so.1...done.
Loaded symbols for /lib/libsepol.so.1
Reading symbols from /lib/libuuid.so.1...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /usr/lib/libpq.so.4...done.
Loaded symbols for /usr/lib/libpq.so.4
Reading symbols from /usr/lib/libsqlite3.so.0...done.
Loaded symbols for /usr/lib/libsqlite3.so.0
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /usr/local/lib/libsasl2.so.2...done.
Loaded symbols for /usr/local/lib/libsasl2.so.2
Reading symbols from /lib/libssl.so.6...done.
Loaded symbols for /lib/libssl.so.6
Reading symbols from /lib/libcrypto.so.6...done.
Loaded symbols for /lib/libcrypto.so.6
Reading symbols from /usr/lib/libkrb5.so.3...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /usr/lib/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /lib/libcom_err.so.2...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libk5crypto.so.3...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libkrb5support.so.0...done.
Loaded symbols for /usr/lib/libkrb5support.so.0
Reading symbols from /lib/libkeyutils.so.1...done.
Loaded symbols for /lib/libkeyutils.so.1
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
Reading symbols from /usr/lib/httpd/modules/mod_auth_basic.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_basic.so
Reading symbols from /usr/lib/httpd/modules/mod_auth_digest.so...done.
Loaded symbols for /etc/httpd/modules/mod_auth_digest.so
Reading symbols from /usr/lib/httpd/modules/mod_authn_file.so...done.
Loaded symbols for /etc/httpd/modules/mod_authn_file.so
Reading symbols from /usr/lib/httpd/modules/mod_authn_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_authn_alias.so
Reading symbols from /usr/lib/httpd/modules/mod_authn_anon.so...done.
Loaded symbols for /etc/httpd/modules/mod_authn_anon.so
Reading symbols from /usr/lib/httpd/modules/mod_authn_dbm.so...done.
Loaded symbols for /etc/httpd/modules/mod_authn_dbm.so
Reading symbols from /usr/lib/httpd/modules/mod_authn_default.so...done.
Loaded symbols for /etc/httpd/modules/mod_authn_default.so
Reading symbols from /usr/lib/httpd/modules/mod_authz_host.so...done.
Loaded symbols for /etc/httpd/modules/mod_authz_host.so
Reading symbols from /usr/lib/httpd/modules/mod_authz_user.so...done.
Loaded symbols for /etc/httpd/modules/mod_authz_user.so
Reading symbols from /usr/lib/httpd/modules/mod_authz_owner.so...done.
Loaded symbols for /etc/httpd/modules/mod_authz_owner.so
Reading symbols from /usr/lib/httpd/modules/mod_authz_groupfile.so...done.
Loaded symbols for /etc/httpd/modules/mod_authz_groupfile.so
Reading symbols from /usr/lib/httpd/modules/mod_authz_dbm.so...done.
Loaded symbols for /etc/httpd/modules/mod_authz_dbm.so
Reading symbols from /usr/lib/httpd/modules/mod_authz_default.so...done.
Loaded symbols for /etc/httpd/modules/mod_authz_default.so
Reading symbols from /usr/lib/httpd/modules/mod_ldap.so...done.
Loaded symbols for /etc/httpd/modules/mod_ldap.so
Reading symbols from /usr/lib/httpd/modules/mod_authnz_ldap.so...done.
Loaded symbols for /etc/httpd/modules/mod_authnz_ldap.so
Reading symbols from /usr/lib/httpd/modules/mod_include.so...done.
Loaded symbols for /etc/httpd/modules/mod_include.so
Reading symbols from /usr/lib/httpd/modules/mod_log_config.so...done.
Loaded symbols for /etc/httpd/modules/mod_log_config.so
Reading symbols from /usr/lib/httpd/modules/mod_logio.so...done.
Loaded symbols for /etc/httpd/modules/mod_logio.so
Reading symbols from /usr/lib/httpd/modules/mod_env.so...done.
Loaded symbols for /etc/httpd/modules/mod_env.so
Reading symbols from /usr/lib/httpd/modules/mod_ext_filter.so...done.
Loaded symbols for /etc/httpd/modules/mod_ext_filter.so
Reading symbols from /usr/lib/httpd/modules/mod_mime_magic.so...done.
Loaded symbols for /etc/httpd/modules/mod_mime_magic.so
Reading symbols from /usr/lib/httpd/modules/mod_expires.so...done.
Loaded symbols for /etc/httpd/modules/mod_expires.so
Reading symbols from /usr/lib/httpd/modules/mod_deflate.so...done.
Loaded symbols for /etc/httpd/modules/mod_deflate.so
Reading symbols from /usr/lib/httpd/modules/mod_headers.so...done.
Loaded symbols for /etc/httpd/modules/mod_headers.so
Reading symbols from /usr/lib/httpd/modules/mod_usertrack.so...done.
Loaded symbols for /etc/httpd/modules/mod_usertrack.so
Reading symbols from /usr/lib/httpd/modules/mod_setenvif.so...done.
Loaded symbols for /etc/httpd/modules/mod_setenvif.so
Reading symbols from /usr/lib/httpd/modules/mod_mime.so...done.
Loaded symbols for /etc/httpd/modules/mod_mime.so
Reading symbols from /usr/lib/httpd/modules/mod_dav.so...done.
Loaded symbols for /etc/httpd/modules/mod_dav.so
Reading symbols from /usr/lib/httpd/modules/mod_status.so...done.
Loaded symbols for /etc/httpd/modules/mod_status.so
Reading symbols from /usr/lib/httpd/modules/mod_autoindex.so...done.
Loaded symbols for /etc/httpd/modules/mod_autoindex.so
Reading symbols from /usr/lib/httpd/modules/mod_info.so...done.
Loaded symbols for /etc/httpd/modules/mod_info.so
Reading symbols from /usr/lib/httpd/modules/mod_dav_fs.so...done.
Loaded symbols for /etc/httpd/modules/mod_dav_fs.so
Reading symbols from /usr/lib/httpd/modules/mod_vhost_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_vhost_alias.so
Reading symbols from /usr/lib/httpd/modules/mod_negotiation.so...done.
Loaded symbols for /etc/httpd/modules/mod_negotiation.so
Reading symbols from /usr/lib/httpd/modules/mod_dir.so...done.
Loaded symbols for /etc/httpd/modules/mod_dir.so
Reading symbols from /usr/lib/httpd/modules/mod_actions.so...done.
Loaded symbols for /etc/httpd/modules/mod_actions.so
Reading symbols from /usr/lib/httpd/modules/mod_speling.so...done.
Loaded symbols for /etc/httpd/modules/mod_speling.so
Reading symbols from /usr/lib/httpd/modules/mod_userdir.so...done.
Loaded symbols for /etc/httpd/modules/mod_userdir.so
Reading symbols from /usr/lib/httpd/modules/mod_alias.so...done.
Loaded symbols for /etc/httpd/modules/mod_alias.so
Reading symbols from /usr/lib/httpd/modules/mod_rewrite.so...done.
Loaded symbols for /etc/httpd/modules/mod_rewrite.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy.so...done.
Loaded symbols for /etc/httpd/modules/mod_proxy.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_balancer.so...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_balancer.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_ftp.so...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_ftp.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_http.so...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_http.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_connect.so...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_connect.so
Reading symbols from /usr/lib/httpd/modules/mod_cache.so...done.
Loaded symbols for /etc/httpd/modules/mod_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_suexec.so...done.
Loaded symbols for /etc/httpd/modules/mod_suexec.so
Reading symbols from /usr/lib/httpd/modules/mod_disk_cache.so...done.
Loaded symbols for /etc/httpd/modules/mod_disk_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_file_cache.so...done.
Loaded symbols for /etc/httpd/modules/mod_file_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_mem_cache.so...done.
Loaded symbols for /etc/httpd/modules/mod_mem_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_cgi.so...done.
Loaded symbols for /etc/httpd/modules/mod_cgi.so
Reading symbols from /usr/lib/httpd/modules/mod_version.so...done.
Loaded symbols for /etc/httpd/modules/mod_version.so
Reading symbols from /usr/lib/httpd/modules/mod_perl.so...done.
Loaded symbols for /etc/httpd/modules/mod_perl.so
Reading symbols from /usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so...done.
Loaded symbols for /usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so
Reading symbols from /lib/libutil.so.1...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /usr/lib/httpd/modules/libphp5.so...done.
Loaded symbols for /etc/httpd/modules/libphp5.so
Reading symbols from /usr/lib/libaspell.so.15...done.
Loaded symbols for /usr/lib/libaspell.so.15
Reading symbols from /usr/lib/libpspell.so.15...done.
Loaded symbols for /usr/lib/libpspell.so.15
Reading symbols from /usr/lib/sse2/libgmp.so.3...done.
Loaded symbols for /usr/lib/sse2/libgmp.so.3
Reading symbols from /usr/lib/libcurl.so.3...done.
Loaded symbols for /usr/lib/libcurl.so.3
Reading symbols from /usr/lib/libbz2.so.1...done.
Loaded symbols for /usr/lib/libbz2.so.1
Reading symbols from /usr/lib/libxml2.so.2...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /usr/lib/libidn.so.11...done.
Loaded symbols for /usr/lib/libidn.so.11
Reading symbols from /usr/lib/libstdc++.so.6...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /usr/lib/httpd/modules/mod_proxy_ajp.so...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_ajp.so
Reading symbols from /usr/lib/httpd/modules/mod_python.so...done.
Loaded symbols for /etc/httpd/modules/mod_python.so
Reading symbols from /usr/lib/libpython2.4.so.1.0...done.
Loaded symbols for /usr/lib/libpython2.4.so.1.0
Reading symbols from /usr/lib/httpd/modules/mod_ssl.so...done.
Loaded symbols for /etc/httpd/modules/mod_ssl.so
Reading symbols from /usr/lib/libdistcache.so.1...done.
Loaded symbols for /usr/lib/libdistcache.so.1
Reading symbols from /usr/lib/libnal.so.1...done.
Loaded symbols for /usr/lib/libnal.so.1
Reading symbols from /usr/lib/php/modules/memcache.so...done.
Loaded symbols for /usr/lib/php5/memcache.so
Reading symbols from /usr/lib/php/modules/eaccelerator.so...done.
Loaded symbols for /usr/lib/php5/eaccelerator.so
Reading symbols from /usr/lib/php/modules/gd.so...done.
Loaded symbols for /usr/lib/php5/gd.so
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/php/modules/imap.so...done.
Loaded symbols for /usr/lib/php5/imap.so
Reading symbols from /usr/lib/libc-client.so.1...done.
Loaded symbols for /usr/lib/libc-client.so.1
Reading symbols from /lib/libpam.so.0...done.
Loaded symbols for /lib/libpam.so.0
Reading symbols from /lib/libaudit.so.0...done.
Loaded symbols for /lib/libaudit.so.0
Reading symbols from /usr/lib/php/modules/ldap.so...done.
Loaded symbols for /usr/lib/php5/ldap.so
Reading symbols from /usr/lib/php/modules/mbstring.so...done.
Loaded symbols for /usr/lib/php5/mbstring.so
Reading symbols from /usr/lib/php/modules/mysql.so...done.
Loaded symbols for /usr/lib/php5/mysql.so
Reading symbols from /usr/lib/mysql/libmysqlclient.so.15...done.
Loaded symbols for /usr/lib/mysql/libmysqlclient.so.15
Reading symbols from /usr/lib/php/modules/mysqli.so...done.
Loaded symbols for /usr/lib/php5/mysqli.so
Reading symbols from /usr/lib/php/modules/odbc.so...done.
Loaded symbols for /usr/lib/php5/odbc.so
Reading symbols from /usr/lib/libodbc.so.1...done.
Loaded symbols for /usr/lib/libodbc.so.1
Reading symbols from /usr/lib/libodbcpsql.so.2...done.
Loaded symbols for /usr/lib/libodbcpsql.so.2
Reading symbols from /usr/lib/php/modules/pdo.so...done.
Loaded symbols for /usr/lib/php5/pdo.so
Reading symbols from /usr/lib/php/modules/pdo_mysql.so...done.
Loaded symbols for /usr/lib/php5/pdo_mysql.so
Reading symbols from /usr/lib/php/modules/pdo_odbc.so...done.
Loaded symbols for /usr/lib/php5/pdo_odbc.so
Reading symbols from /usr/lib/php/modules/pdo_pgsql.so...done.
Loaded symbols for /usr/lib/php5/pdo_pgsql.so
Reading symbols from /usr/lib/php/modules/pdo_sqlite.so...done.
Loaded symbols for /usr/lib/php5/pdo_sqlite.so
Reading symbols from /usr/lib/php/modules/pgsql.so...done.
Loaded symbols for /usr/lib/php5/pgsql.so
Reading symbols from /usr/lib/php/modules/soap.so...done.
Loaded symbols for /usr/lib/php5/soap.so
Reading symbols from /usr/lib/gconv/UNICODE.so...done.
Loaded symbols for /usr/lib/gconv/UNICODE.so
Reading symbols from /usr/lib/gconv/GBK.so...done.
Loaded symbols for /usr/lib/gconv/GBK.so
Core was generated by `/usr/sbin/httpd'.
Program terminated with signal 11, Segmentation fault.
#0  0x001f1045 in crc32 () from /usr/lib/libz.so.1
(gdb) where
#0  0x001f1045 in crc32 () from /usr/lib/libz.so.1
#1  0x00978bd1 in ?? () from /etc/httpd/modules/mod_deflate.so
#2  0x00d5c0f0 in ap_pass_brigade () from /usr/sbin/httpd
#3  0x00d428a8 in ap_old_write_filter () from /usr/sbin/httpd
#4  0x00d5c0f0 in ap_pass_brigade () from /usr/sbin/httpd
#5  0x046d501e in php_ap2_register_hook () from /etc/httpd/modules/libphp5.so
#6  0x00d50a4d in ap_run_handler () from /usr/sbin/httpd
#7  0x00d543f8 in ap_invoke_handler () from /usr/sbin/httpd
#8  0x00d6050e in ap_process_request () from /usr/sbin/httpd
#9  0x00d5d2af in ap_register_input_filter () from /usr/sbin/httpd
#10 0x00d5892d in ap_run_process_connection () from /usr/sbin/httpd
#11 0x00d58a2c in ap_process_connection () from /usr/sbin/httpd
#12 0x00d64eb4 in ap_graceful_stop_signalled () from /usr/sbin/httpd
#13 0x00d651c1 in ap_graceful_stop_signalled () from /usr/sbin/httpd
#14 0x00d65bc3 in ap_mpm_run () from /usr/sbin/httpd
#15 0x00d3c157 in main () from /usr/sbin/httpd
Comment 1 Yoyo Chen 2010-12-06 20:04:00 UTC
This error happens several times every day. I've searched and tested for a while with no result. So I turn to you for help.
Comment 2 Ruediger Pluem 2010-12-10 07:23:49 UTC
This is a php bug. Please open a bug at bugs.php.net
Comment 3 Yoyo Chen 2010-12-10 19:57:44 UTC
(In reply to comment #2)
> This is a php bug. Please open a bug at bugs.php.net

Thanks for the reply.
Comment 4 Yoyo Chen 2010-12-14 20:13:36 UTC
I have stopped the module 'mod_deflate' for a while, and this error stops at the same time. Do you really think it is a php bug?
Please help us to troubleshoot. Thank you in advance.
Comment 5 William A. Rowe Jr. 2010-12-14 23:04:01 UTC
2.2.3 is ancient.  Can you reproduce this with the current mod_php and current
httpd?  Someone is passing an invalid memory block around, starting from the
php handler, which causes the crash to occur in zlib.

Upgrading is the best first thing to check, and adding --enable-maintainer-mode 
when you ./configure apache (and php) would show more details if and when it 
crashes.
Comment 6 Yoyo Chen 2010-12-15 03:19:39 UTC
(In reply to comment #5)
> 2.2.3 is ancient.  Can you reproduce this with the current mod_php and current
> httpd?  Someone is passing an invalid memory block around, starting from the
> php handler, which causes the crash to occur in zlib.
> Upgrading is the best first thing to check, and adding --enable-maintainer-mode 
> when you ./configure apache (and php) would show more details if and when it 
> crashes.


Again thanks for the reply. We have found no regularity in this error from all logs. Now we decide to upgrade PHP version first to check.
Comment 7 Ruediger Pluem 2010-12-15 07:42:01 UTC
(In reply to comment #4)
> I have stopped the module 'mod_deflate' for a while, and this error stops at
> the same time. Do you really think it is a php bug?
> Please help us to troubleshoot. Thank you in advance.

My fault. I did not check the backtrace closely enough. From this point of view it sounds more promising to update Apache first and PHP later.
Comment 8 Yoyo Chen 2010-12-15 20:08:09 UTC
(In reply to comment #7)
> (In reply to comment #4)
> > I have stopped the module 'mod_deflate' for a while, and this error stops at
> > the same time. Do you really think it is a php bug?
> > Please help us to troubleshoot. Thank you in advance.
> My fault. I did not check the backtrace closely enough. From this point of view
> it sounds more promising to update Apache first and PHP later.

Ok, we will try updating Apache first.
Comment 9 William A. Rowe Jr. 2018-11-07 21:08:38 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.